'****************************************************************************
'
' PBNEWS Paket : PBNEWS.INC (Common PBNEWS Include File)
' Version      : 0.16g
' Compilation  : Thomas Gohel (gohel@basicguru.com)
' Last Files at: http://www.gohel.de
' Last Updates : see directly in the sources
'
' based on UKAW/UKAD technology
'
'****************************************************************************

GLOBAL Version             AS STRING      ' Versionsangabe
GLOBAL Author              AS STRING      ' Compilation by ...
GLOBAL CrLf                AS STRING      ' CrLf (DOS oder Unix Style)
GLOBAL Lf                  AS STRING      ' Lf (fr Spoolfiles)
GLOBAL Eol                 AS STRING      ' End Of Line (Cr/LF - 13/10)
GLOBAL hLogFile            AS INTEGER     ' Handle des PBNEWS Logfiles
GLOBAL hLogDebug           AS INTEGER     ' Flag fr Debug
GLOBAL sLogApp             AS STRING      ' ID der Appliaktion
GLOBAL AppPath             AS STRING      ' Pfad zu PBNEWS
GLOBAL Mutex_Io            AS LONG        ' Freefile/Open Mutex um Handle Problem zu umgehen
GLOBAL Mutex_Req           AS LONG        ' Zugriffs-Mutex fr ReqBase Zugriffe
GLOBAL Mutex_Dupe          AS LONG        ' Zugriffs-Mutex fr Dupebase-String
GLOBAL Mutex_Log           AS LONG        ' Zugriffs-Mutex fr Logfile
GLOBAL Mutex_Cs            AS LONG        ' Zugriffs-Mutex fr CrossSecretary
GLOBAL Local_Ip            AS STRING      ' User konfigurierbare IP
GLOBAL XP                  AS LONG        ' %True = *.BFG Support enabled

GLOBAL hMain               AS DWORD
GLOBAL hRasdial            AS DWORD
GLOBAL hEditMailListview   AS DWORD
GLOBAL ViewSpool           AS STRING

DECLARE FUNCTION Get_IpAdress(BYVAL hTcp AS LONG) AS STRING
DECLARE FUNCTION Get_Current_Version() AS LONG
DECLARE FUNCTION Get_DateHeader() AS STRING
DECLARE FUNCTION Get_MailerHeader(BYVAL Mailer AS STRING) AS STRING
DECLARE FUNCTION Get_DayName(BYVAL Day AS INTEGER) AS STRING
DECLARE FUNCTION Get_MonthName(BYVAL Month AS INTEGER) AS STRING
DECLARE FUNCTION Get_Timezone() AS STRING
DECLARE FUNCTION Get_Qp2Text(BYVAL TEXT AS STRING) AS STRING
DECLARE FUNCTION Get_XP_Adress(BYVAL MailFrom AS STRING) AS STRING
DECLARE FUNCTION Get_NC_Adress(BYVAL MailFrom AS STRING) AS STRING
DECLARE FUNCTION Get_Configuration(BYVAL BfgFile AS STRING, BYVAL Thread_Id AS LONG) AS LONG
DECLARE FUNCTION Get_CfgLine(BYVAL Cfg AS STRING, BYVAL Match AS STRING, BYVAL CfgDefault AS STRING) AS STRING
DECLARE FUNCTION Get_CfgEntry(BYVAL Cfg AS STRING, BYVAL Match AS STRING, BYVAL CfgDefault AS STRING) AS STRING
DECLARE FUNCTION Get_CfgFlag(BYVAL Cfg AS STRING) AS LONG
DECLARE FUNCTION OnlineTime(BYVAL StartTime AS SINGLE, BYVAL CurrentTime AS SINGLE) AS STRING
